<?php
defined('_JEXEC') or die('Restricted access');

class plgJshoppingProductsDiscountAll extends JPlugin{
	
	public function __construct(&$subject, $config = array()) {
        parent::__construct($subject, $config);
		$this->discount = (float)$this->params->get('discount', 2.521);
    }
		
    function onCalculatePriceProduct($quantity, $enableCurrency, $enableUserDiscount, $enableParamsTax, &$product){
		$product->product_price_calculate = \JSHelper::getPriceDiscount($product->product_price_calculate, $this->discount);
    }
	
	function onListProductUpdateData(&$products) {
		foreach($products as $k => $v){
			$products[$k]->product_price = \JSHelper::getPriceDiscount($v->product_price, $this->discount);
		}
	}
	
	function onBeforeBuildSelectAttribute(&$attributeValues, &$attributeActive, &$selects, &$attrib) {
		foreach($attrib as $k=>$v) {
            $attr_id = $v->attr_id;
			if (isset($attributeValues[$attr_id]) && $attributeValues[$attr_id]){
				$options = $attributeValues[$attr_id];
				foreach($options as $k2=>$v2) {
					$options[$k2]->addprice = \JSHelper::getPriceDiscount($options[$k2]->addprice, $this->discount);
				}
			}
		}
	}
	
}